#pragma once

#include <string>
#include <vector>
#include <map>

#include "CivReport.h"

using namespace std;

/**
	读取模拟计算报告的
*/
class CivReportReader
{
public:
	CivReportReader();

	// 加载读取水力计算报告文件
	void open(const string& reportFile);

	// 读取水泵消耗的能量值
	float readEnergy(const string& pumpSn);

private:
	vector<EnergyStruct> mEnergys; // 能耗读取
	vector<NodeStruct> mNodes;
	vector<PipeStruct> mPipes;	
};